is.mol2 {bio3d} | R Documentation

## Is an Object of Class ‘mol2’?

### Description

Checks whether its argument is an object of class ‘mol2’.

### Usage

      is.mol2(x)

### Arguments

`x` | an R object.

### Details

Tests if the object ‘x’ is of class ‘mol2’ (`is.mol2`), i.e. if ‘x’ has a “class” attribute equal to `mol2`.

### Value

TRUE if x is an object of class ‘mol2’ and FALSE otherwise

### See Also

`read.mol2`

### Examples

    # Read a PDB file
    mol <- read.mol2( system.file("examples/aspirin.mol2", package="bio3d") )
    is.mol2(mol)

[Package bio3d version 2.3-4 Index]